com.r3corda.core.contracts / DummyContract

# DummyContract

`class DummyContract : Contract`

### Types

Commands | `interface Commands : CommandData`
State | `class State : ContractState`

### Constructors

<init> | `DummyContract()`

### Properties

legalContractReference | `val legalContractReference: SecureHash` Unparsed reference to the natural language contract that this code is supposed to express (usually a hash of the contracts contents).

### Functions

generateInitial | `fun generateInitial(owner: PartyAndReference, magicNumber: Int, notary: Party): TransactionBuilder`
verify | `fun verify(tx: TransactionForVerification): Unit` Takes an object that represents a state transition, and ensures the inputs/outputs/commands make sense. Must throw an exception if theres a problem that should prevent state transition. Takes a single object rather than an argument so that additional data can be added without breaking binary compatibility with existing contract code.